Subject: bug#51490: Show an indicator when Emacs is busy somewhere in the Emacs window

From: Stefan Kangas <[email-masked]>
Date: Fri, 29 Oct 2021 10:59:21 -0700

Severity: wishlist

(This is a follow-up to Bug#19776.)

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I was talking about showing something in the actual Emacs window, not
>> just changing the mouse pointer.  The mouse pointer can change also when
>> some program has just crashed, so users won't necessarily take this as a
>> sign that "everything is okay, just give us a minute and we'll be back".
>
> And there's no hourglass pointer in terminal Emacs (which apparently is
> almost as popular as GUI Emacs for some reason), so perhaps it's worth
> having a spinning thing somewhere.  In the mode line, for instance.
>
> However, if we want that, perhaps it shouldn't be tied to
> with-delayed-message, but work exactly like the hourglass -- i.e., start
> spinning whenever Emacs is busy for a while.
>
> I'm not at all sure whether there'd be any negative repercussions to
> spinning a glyph in the mode line area (for instance -- what about if
> you're running over a slow ssh connection?), but perhaps it's worth
> exploring and see how goes?

Let's continue discussing this as a new bug.